﻿using System.ComponentModel.DataAnnotations;

namespace TestIdentityServer.Models
{
    /// <summary>
    /// 등록 뷰 모델
    /// </summary>
    public class RegisterViewModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 사용자명 - UserName

        /// <summary>
        /// 사용자명
        /// </summary>
        [Required]
        public string UserName { get; set; }

        #endregion
        #region 패스워드 - Password

        /// <summary>
        /// 패스워드
        /// </summary>
        [Required]
        [DataType(DataType.Password)]
        public string Password { get; set; }

        #endregion
        #region 확인 패스워드 - ConfirmPassword

        /// <summary>
        /// 확인 패스워드
        /// </summary>
        [Required]
        [DataType(DataType.Password)]
        [Compare("Password")]
        public string ConfirmPassword { get; set; }

        #endregion
        #region 반환 URL - ReturnURL

        /// <summary>
        /// 반환 URL
        /// </summary>
        public string ReturnURL { get; set; }

        #endregion
    }
}